glibmm: Glib::Container_Helpers::SListIterator< Tr > Class Template Reference

glibmm 2.28.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Glib::Container_Helpers::SListIterator< Tr > Class Template Reference

`#include <glibmm/vectorutils.h>`

List of all members.

## Public Types
typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef std::forward_iterator_tag | iterator_category
typedef CppType | value_type
typedef ptrdiff_t | difference_type
typedef value_type | reference
typedef void | pointer
## Public Member Functions
| SListIterator (const GSList* node)
value_type | operator* () const
SListIterator< Tr >& | operator++ ()
const SListIterator< Tr > | operator++ (int)
bool | operator== (const SListIterator< Tr >& rhs) const
bool | operator!= (const SListIterator< Tr >& rhs) const

### template <class Tr>
class Glib::Container_Helpers::SListIterator< Tr >

## Member Typedef Documentation

template <class Tr >

typedef Tr::CppType Glib::Container_Helpers::SListIterator< Tr >::CppType

template <class Tr >

typedef Tr::CType Glib::Container_Helpers::SListIterator< Tr >::CType

template <class Tr >

typedef ptrdiff_t Glib::Container_Helpers::SListIterator< Tr >::difference_type

template <class Tr >

typedef std::forward_iterator_tag Glib::Container_Helpers::SListIterator< Tr >::iterator_category

template <class Tr >

typedef void Glib::Container_Helpers::SListIterator< Tr >::pointer

template <class Tr >

typedef value_type Glib::Container_Helpers::SListIterator< Tr >::reference

template <class Tr >

typedef CppType Glib::Container_Helpers::SListIterator< Tr >::value_type

## Constructor & Destructor Documentation

template <class Tr >

Glib::Container_Helpers::SListIterator< Tr >::SListIterator | ( | const GSList * | node | ) | `[inline, explicit]`

## Member Function Documentation

template <class Tr >

bool Glib::Container_Helpers::SListIterator< Tr >::operator!= | ( | const SListIterator< Tr >& | rhs | ) | const`[inline]`

template <class Tr >

value_type Glib::Container_Helpers::SListIterator< Tr >::operator* | ( |  | ) | const`[inline]`

template <class Tr >

SListIterator<Tr>& Glib::Container_Helpers::SListIterator< Tr >::operator++ | ( |  | ) | `[inline]`

template <class Tr >

const SListIterator<Tr> Glib::Container_Helpers::SListIterator< Tr >::operator++ | ( | int |  | ) | `[inline]`

template <class Tr >

bool Glib::Container_Helpers::SListIterator< Tr >::operator== | ( | const SListIterator< Tr >& | rhs | ) | const`[inline]`